Jump to content
PhAzE

[PhAzE] Plugins for Unraid 5/6

3606 posts in this topic Last Reply

Recommended Posts

Read only would be a pretty big problem for installing anything to it. :)

 

I'm not sure the best way to do this. Perhaps one of the tools under the tools tab.

 

I ran dosfsck on the drive that's in read-only mode. After rebooting I'm still seeing the drive in read-only mode. I ran it with the following command:sudo dosfsck -w -r -l -a -v -t /dev/sda1

 

dmesg reports: "FAT-fs (sda1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck"

 

Is this drive on its way out?

Share this post


Link to post

Ok I see. This md5 error is when you install the plugin, not the app.

 

Sounds like you are having trouble downloading from github, not uncommon though.  In /boot/config/plugins make a folder called Sabnzbd (the capital matters on the s) and download the files from here:

 

https://github.com/PhAzE-Variance/unRAID/tree/master/AppSupport/Sabnzbd

 

You need control-2.5 and both dependency-1.7 files and put them in that folder. Then install the plugin again.

 

I downloaded those files from Github and put them in the Sabnzbd folder, but the installation still fails.

sabnzbdfolderscrnshot.png.3b92de0f617ecf96a3280240fd3b3774.png

Share this post


Link to post

Read only would be a pretty big problem for installing anything to it. :)

 

I'm not sure the best way to do this. Perhaps one of the tools under the tools tab.

 

I ran dosfsck on the drive that's in read-only mode. After rebooting I'm still seeing the drive in read-only mode. I ran it with the following command:sudo dosfsck -w -r -l -a -v -t /dev/sda1

 

dmesg reports: "FAT-fs (sda1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck"

 

There's not much point trying to install anything, until the file system is clean and good.  Assuming this is your boot flash, and assuming you are unmounting it correctly, try running the fsck again, or take it to a Windows machine and Check Disk it.  If it cannot clean up, you'll need to reformat it, run make_bootable again, and copy all files back from a backup.  I'd fully format it, not Quick Format it, just in case there's sector trouble near the front of the partition.

 

Is this drive on its way out?

File system problems are usually unrelated to the physical drive, so drive is probably fine, unless the format fails.

Share this post


Link to post

Hey PhAzE,

 

thanks for your awesome work on some on the plugins i use, however ive been using Deluged from dmacias and its been quite shotty, starting/nor starting etc, was wondering if you've thought of making a plugin for deluge?

Share this post


Link to post

Hey PhAzE,

 

thanks for your awesome work on some on the plugins i use, however ive been using Deluged from dmacias and its been quite shotty, starting/nor starting etc, was wondering if you've thought of making a plugin for deluge?

There are several dockers for this.

Share this post


Link to post

Ok I see. This md5 error is when you install the plugin, not the app.

 

Hi PhAzE,

 

Is there a fix for MD5 checksum on 1.5.3 plugin for unRAID v5? Latest v3 plugin rss nzb feeds have a WAIT xx secs in sabnzbd queue heard it's due to python and certificates. Everything was fine with old version until server restarted.

 

2nv9jbc.png

Share this post


Link to post

Ok I see. This md5 error is when you install the plugin, not the app.

 

Hi PhAzE,

 

Is there a fix for MD5 checksum on 1.5.3 plugin for unRAID v5? Latest v3 plugin rss nzb feeds have a WAIT xx secs in sabnzbd queue heard it's due to python and certificates. Everything was fine with old version until server restarted.

 

2nv9jbc.png

 

Yeah, this is exactly the same issue I'm having right now too. My Sabnzbd is down still. It's driving me crazy. Every other plugin is working fine except Sabnzbd so I'm beginning to think that it's not my disk issue.

Share this post


Link to post

Ok I see. This md5 error is when you install the plugin, not the app.

 

Hi PhAzE,

 

Is there a fix for MD5 checksum on 1.5.3 plugin for unRAID v5? Latest v3 plugin rss nzb feeds have a WAIT xx secs in sabnzbd queue heard it's due to python and certificates. Everything was fine with old version until server restarted.

 

2nv9jbc.png

The old plugins are not supported anymore. What is the problem with the v3 and RSS? Do you have the exact error?

Share this post


Link to post

Ok I see. This md5 error is when you install the plugin, not the app.

 

Hi PhAzE,

 

Is there a fix for MD5 checksum on 1.5.3 plugin for unRAID v5? Latest v3 plugin rss nzb feeds have a WAIT xx secs in sabnzbd queue heard it's due to python and certificates. Everything was fine with old version until server restarted.

 

2nv9jbc.png

The old plugins are not supported anymore. What is the problem with the v3 and RSS? Do you have the exact error?

 

Do you think upgrading my server to v6 would solve this issue?

Share this post


Link to post

Yes because v6 had built in certificates that my plugin doesn't need to maintain.  Also that 1.5.3 plugin is super old.

Share this post


Link to post

And you then also have dockers as a backup choice.

 

Okay, thanks again for taking the time to look into this. I just find it very odd that all other plug-ins work except sabnzbd. It was working just fine until I restarted my server and that sab function is gone.

Share this post


Link to post

I've noticed the plugins stop the array from shutting down using the plugin to shutdown/reboot the system. Any script I can run to have these plugins stop before the shutdown process runs?

Share this post


Link to post

I've noticed the plugins stop the array from shutting down using the plugin to shutdown/reboot the system. Any script I can run to have these plugins stop before the shutdown process runs?

Are you not able to stop the array from the webUI? Normally plugins are supposed to stop when you stop the array and I'm pretty sure these are following the rules or there would have been more people complaining. Are you sure it is these plugins that are holding things up and not something else?

Share this post


Link to post

All of these plugins stop with the array when the gui stop button is pressed. They even have a kill timer to kill 9 the app if they don't shut down in a reasonable time.

Share this post


Link to post

And you then also have dockers as a backup choice.

 

Okay, thanks again for taking the time to look into this. I just find it very odd that all other plug-ins work except sabnzbd. It was working just fine until I restarted my server and that sab function is gone.

Well the old plugin your are using was discontinued since last summer. Since then, sab had changed their download URL and when you rebooted it tried to get a download file from a URL that no longer exists.  Since I maintain something close to 20 plugins, it doesn't make sense to keep old versions up to date along side the new ones when they serve the same purpose.

Share this post


Link to post

The old plugins are not supported anymore. What is the problem with the v3 and RSS? Do you have the exact error?

 

Getting this error in sabnzbd WAIT xx in queue when it tries to pull RSS feed from https://api.nzb.su or when sickbeard tries to retrieve and send to sabnzbd

https://forums.sabnzbd.org/viewtopic.php?f=2&t=19194

 

Getting this error in sabnzbd or sickbeard when it processes a TV show.

https://github.com/PhAzE-Variance/unRAID/issues/2

 

I actually did a band-aid fix on the old 1.5.3 plugin everything is working like before. Manually added MD5 check sum to old plugin so it would verify and use /boot/packages/SABnzbd-0.7.20-src.tar.gz

 

Everything works flawlessly never have to restart or reboot my unRAID v5 so that's why I never upgraded. Power went out in house that's why plugin tried to re-download and install everything but it couldn't because of that check sum error.

 

I have things up and running now so I'll get on building a new unRAID v6 since you said that would fix certificate issues? I can't be down long a few people are always on Plex and Sickbeard processes almost every other day.

Share this post


Link to post

I restarted my server because my power went out. I check my PhAzE plugin to make sure everything is running properly.

 

I'm running Sickbeard, Couchpotato, Sabnzbd, and Transmission. Everything is connected through my server and running fine except SABnzbd. I kept getting error "failed MD5 Checksum" everytime I'm trying to reinstall.

 

Anyone know a solution to this? I can't grab anymore media files without sabnzbd running. Please help and thanks in advance.

I will look at this today.

 

Thank you in advance. I really am stuck on this and can't find a solution.

 

I appreciate it as well.  I think this is same issue I am having with Nzbget and now I am getting failed integrity test on the latest bit torrent sync as well.

Share this post


Link to post

I'm a little confused with my Sonarr setup.  I'm running unRAID v5.0.5 and I haven't upgraded to 6 yet because I'm honestly not sure how to perform the upgrade and it honestly looks intimidating.

 

Anyway, my current version of Sonarr is listed as 2.0.0.3530, but it is still listed as "NzbDrone" inside of unRAID.  Below that it says "Update to Version: 2014.04.14-1", but if I open Sonarr and go to the System - Update tap, it shows the newest as 2.0.0.3732.  It appears as though mine is pulling the wrong version for some reason?  I don't want to install from inside the Sonarr app, because we I've tried that in the past, it wipes out my library.

 

Does anyone know how I can get the latest version?

 

unRAID_GUI.JPG.5bb904eae507ffad3c2009db17de872b.JPG

Sonarr_app.JPG.4aa08593977a589a400af5141b5e944f.JPG

Share this post


Link to post

Click that blue button that says "update nzbdrone" and it will update my plugin to the sonarr plugin.

Share this post


Link to post

Click that blue button that says "update nzbdrone" and it will update my plugin to the sonarr plugin.

 

I had tried that earlier and nothing happened. I just tried it again and got the following message:

 

Failed MD5 checksum. Aborting Installation.

 

Thanks for your help!

Share this post


Link to post

Go to the first post in this thread and install the sonarr plugin. Set out to the same directories you have in the nzbdrone plugin.

Share this post


Link to post

OK, so i had a chance to test out BTSync, Sabnzbd, NZBGet, and Sonarr on Unraid 5 and Unraid 6. All of the plugins installed fine, including the control files, and dependency files.  Also the apps install files downloaded and it installed fine.  They were able to start normally too.

 

There doesn't appear to be any problems with the plugins installing or running.  If you have MD5 errors while installing the plugin, please visit my github to get the latest control / dependency files manually, and place them in /boot/config/plugins/<APPNAME> directory.  In that same directory, delete any .md5 file in there. Then give it a try again.

 

As for the SabNZBD - Wait xx - problem. This is likely an issue with the certificates my plugins use on Unraid 5 servers, because Unraid 5 did not have a local copy by default.  I'll see if I can resolve this but it's a little complex, so RSS feeds may not work until this is fixed.  Unraid 6 has certs that come with the OS so this problem likely won't exist on unraid 6 if you're interested in updating.

 

I'll keep plugging away at those certs :)

 

-=PhAzE=-

Share this post


Link to post

I had this working earlier, now I am getting this

 

"2016-02-24 20:09:49 [ERROR] Start failed: No PID created "

 

I should note that I instaled the plugin, then deleted it earlier.  Do I need to clean up my install directories?

Share this post


Link to post

I had this working earlier, now I am getting this

 

"2016-02-24 20:09:49 [ERROR] Start failed: No PID created "

 

I should note that I instaled the plugin, then deleted it earlier.  Do I need to clean up my install directories?

What plugin? 

 

It wouldn't hurt to delete the install directory (leave the config directory).

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.